<nz-card [nzCover]="coverTemplate" [nzActions]="[actionSetting, actionEdit, actionEllipsis]">
  <ng-template #coverTemplate>
    <img class="avatar" alt="example" src="https://picsum.photos/id/312/200/200" />
  </ng-template>
  <nz-card-meta nzTitle="PlayerName" nzDescription="Located in Mid Atlantic, USA" [nzAvatar]="avatarTemplate">
  </nz-card-meta>
  <ng-template #avatarTemplate>
    <a href="{{hostUrl}}/{{entity?.entity?.entityTypeName}}/{{entity?.entity?.entityId}}">
      <img class="avatar" src="{{hostUrl}}/{{entity?.entity?.avatarLocation}}" alt="Player" title="Player">
    </a> </ng-template>
  <!-- @if (Model.entity?.EntityType != vPopulus.Dictionaries.EntitiesDictionary.EntityType.Citizen)
      {
          <div class="player-name small" style="min-height:2em;">
              <a class="small" href="@Url.Action("SwitchBack", "Entity")">&#9664; Switch back</a>
          </div>
      } -->
  <div class="player-name">
    <!-- <a href="@Url.Action(" index", "country" , new { id=Model.CountryId })"><img
                  src="~/@vPopulus.Services.Countries.CountryService.GetFlagLocation(" xl",
                  Model.CountryId)" alt="" title=""></a> -->
    <!-- <a href="@Url.Action(" index", Model.entity?.EntityType.ToString(), new { id=Model.entity?.EntityId })"> -->
    <!-- {{entity?.entity?.name}} -->
    <!-- </a> -->
  </div>
  <div class="playerItems-holder noBorder-top">
    <div class="messages">
      <ul>
        <li>
          <!-- <a href="@Url.Action(" all", "message" )" > -->
          <a title="Your Messages">
            <img src="{{hostUrl}}/assets/img/ico/player/message.png">
            <!-- *ngIf="UnreadMessagesCount > 0"  -->
            <span class="number-mess">1</span>
          </a>
        </li>
        <li>
          <!-- <a href="@Url.Action(" Notifications", "Entity" )" > -->
          <a title="Your Alerts">
            <img src="{{hostUrl}}/assets/img/ico/player/alert.png">
            <!-- *ngIf="UnreadNotificationsCount > 0"  -->
            <span class="number-alert">1</span>
          </a>
        </li>
      </ul>
    </div>
  </div>
  <!-- <div *ngIf="entity?.entityType == 1" class="playerItems-holder">
    <div class="xp-board">
      <ul>
        <li>
          <div class="left smaller xp-box" title="Experience Points">
            XP
          </div>
        </li>
        <li>
          <div class="xp-bar">
            <div class="xp-contain">
              <div class="xp" title="12/16" style="width:80%"></div>
            </div>
            <span class="xp-value">Level 3</span>
          </div>
        </li>
      </ul>
    </div>
    <div class="hp-board">
      <ul>
        <li>
          <div class="left smaller hp-box" title="Health Points">
            HP
          </div>
        </li>
        <li>
          <div class="hp-bar">
            <div class="hp-contain" id="hp-contain">
              <div class="hp" title="60" style="width:60%"></div>
            </div>
            <span class="hp-value" id="hp-value">60%</span>
          </div>
        </li>
      </ul>
    </div>
  </div> -->
  <div class="playerItems-holder">
    <div class="player-money">
      <ul>
        <li>
          <span class="left">
            <!-- <img
                              src="~/@vPopulus.Services.Countries.CountryService.GetFlagLocation(" s",
                              Model.CountryId)" alt=""
                              title="@vPopulus.Services.Common.FinanceService.GetNameById(Model.CountryId)"> -->
          </span>
        </li>
        <li>
          <span title="Your Money">12.10
            <strong>PLN</strong></span>
        </li>
      </ul>
    </div>
    <div class="player-gold">
      <ul>
        <li>
          <span class="left"><img src="{{hostUrl}}/assets/img/ico/player/gold.png" alt="Gold" title="Gold"></span>
        </li>
        <li>
          <span title="Your Gold">2.22 <strong>Gold</strong></span>
        </li>
      </ul>
    </div>
  </div>
  <!-- <div *ngIf="entity?.entityType == 1" class="playerItems-holder noBorder-bottom"> -->
  <div class="playerItems-holder noBorder-bottom">
    <div class="player-tasks">
      <h5>Daily Activities</h5>
      <ul>
        <!-- @if (!Model.HasWorked) -->
        <li>
          <a href="" title="{{'Miscellaneous.Citizen.NotWorkedYet' | translate}}">
            <img src="{{hostUrl}}/assets/img/ico/player/work-unchecked.png">
          </a>
        </li>
        <!-- else -->
        <li>
          <a href="" title="{{'Miscellaneous.Citizen.WorkedAlready' | translate}}">
            <img src="{{hostUrl}}/assets/img/ico/player/work-checked.png">
          </a>
        </li>
        <!-- @if (!Model.HasTrained) -->
        <li>
          <a href="" title="{{'Miscellaneous.Citizen.NotTrainedYet' | translate}}">
            <img src="{{hostUrl}}/assets/img/ico/player/train-unchecked.png">
          </a>
        </li>
        <!-- else -->
        <li>
          <a href="" title="{{'Miscellaneous.Citizen.TrainedAlready' | translate}}">
            <img src="{{hostUrl}}/assets/img/ico/player/train-checked.png">
          </a>
        </li>
      </ul>
    </div>
  </div>
  <!-- if (Model.Miss</nz-card>ions.Count > 0) -->
  <div class="playerItems-holder noBorder-bottom">
    <div class="player-tasks">
      <h5>Missions</h5>
      <ul>
        <!-- @foreach (var mission in Model.Missions) -->
        <li>
          <a href="#" title="@mission.Mission.Title" onclick="">
            <img src="{{hostUrl}}/@mission.Mission.IconLocation">
          </a>
        </li>
      </ul>
    </div>
  </div>
  <!-- @if (Model.entity?.EntityType == EntitiesDictionary.EntityType.Citizen && (Model.Orgsanisations.Count > 0 || Model.Army != null || Model.Party != null)) -->
  <!-- { -->
  <div class="left player-box" name="mattCallOuter">
    <div class="player-name">
      <!-- <form method="get" action="@Url.Action("SwitchTo", "Entity")"> -->
      <label for="switch-org" class="small">
        <select id="switch-org" name="value">
          <!-- @foreach (var item in Model.Orgsanisations)
                      {
                          <option value="@vPopulus.Dictionaries.EntitiesDictionary.EntityType.Organisation.ToString():@item.EntityId">(ORG) @item.Name</option>
                      }
                      @if (Model.Army != null)
                      {
                          <option value="@vPopulus.Dictionaries.EntitiesDictionary.EntityType.Army.ToString():@Model.Army.EntityId">(ARM) @Model.Army.Name</option>
                      }
                      @if (Model.Party != null)
                      {
                          <option value="@vPopulus.Dictionaries.EntitiesDictionary.EntityType.Party.ToString():@Model.Party.EntityId">(PAR) @Model.Party.Name</option>
                      } -->
        </select>
      </label>
      <input class="smBtn grButton small right" type="submit" value="Switch" style="border: none;">
      <!-- </form> -->
    </div>
  </div>
  <ng-template #actionSetting>
    Settings
    <i nz-icon nzType="setting"></i>
  </ng-template>
  <ng-template #actionEdit>
    Edit Profile
    <i nz-icon nzType="edit"></i>
  </ng-template>
  <ng-template #actionEllipsis>
    Travel & More
    <i nz-icon nzType="ellipsis"></i>
  </ng-template>
</nz-card>